- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# /home/coin/SVN-release/Cgl-0.55.0/Cgl/src/CglProbing/CglProbing.hpp File Reference

`#include <string>`
`#include "CglCutGenerator.hpp"`

Include dependency graph for CglProbing.hpp:

Go to the source code of this file.

## Classes
struct | disaggregationAction
| Only useful type of disaggregation is most normal For now just done for 0-1 variables Can be used for building cliques. More...
class | CglProbing
| Probing Cut Generator Class. More...
struct | CglProbing::disaggregation_struct_tag
| Disaggregation cuts and for building cliques. More...
struct | CglProbing::cliqueType
| Clique type. More...
class | CglImplication
| This just uses implication info. More...
## Functions
int | affectedInDisaggregation (const disaggregationAction &dis)
void | setAffectedInDisaggregation (disaggregationAction &dis, int affected)
bool | zeroOneInDisaggregation (const disaggregationAction &dis)
void | setZeroOneInDisaggregation (disaggregationAction &dis, bool zeroOne)
bool | whenAtUBInDisaggregation (const disaggregationAction &dis)
void | setWhenAtUBInDisaggregation (disaggregationAction &dis, bool whenAtUB)
bool | affectedToUBInDisaggregation (const disaggregationAction &dis)
void | setAffectedToUBInDisaggregation (disaggregationAction &dis, bool affectedToUB)
void | CglProbingUnitTest (const OsiSolverInterface *siP, const std::string mpdDir)
| A function that tests the methods in the CglProbing class.

## Function Documentation

int affectedInDisaggregation | ( | const disaggregationAction & | dis | ) | `[inline]`

Definition at line 432 of file CglProbing.hpp.

References disaggregationAction::affected.

void setAffectedInDisaggregation | ( | disaggregationAction & | dis,
|  | int | affected |
| ) |  |  | `[inline]`

Definition at line 434 of file CglProbing.hpp.

References disaggregationAction::affected.

bool zeroOneInDisaggregation | ( | const disaggregationAction & | dis | ) | `[inline]`

Definition at line 441 of file CglProbing.hpp.

References disaggregationAction::affected.

void setZeroOneInDisaggregation | ( | disaggregationAction & | dis,
|  | bool | zeroOne |
| ) |  |  | `[inline]`

Definition at line 445 of file CglProbing.hpp.

References disaggregationAction::affected.

bool whenAtUBInDisaggregation | ( | const disaggregationAction & | dis | ) | `[inline]`

Definition at line 447 of file CglProbing.hpp.

References disaggregationAction::affected.

void setWhenAtUBInDisaggregation | ( | disaggregationAction & | dis,
|  | bool | whenAtUB |
| ) |  |  | `[inline]`

Definition at line 449 of file CglProbing.hpp.

References disaggregationAction::affected.

bool affectedToUBInDisaggregation | ( | const disaggregationAction & | dis | ) | `[inline]`

Definition at line 451 of file CglProbing.hpp.

References disaggregationAction::affected.

void setAffectedToUBInDisaggregation | ( | disaggregationAction & | dis,
|  | bool | affectedToUB |
| ) |  |  | `[inline]`

Definition at line 453 of file CglProbing.hpp.

References disaggregationAction::affected.

void CglProbingUnitTest | ( | const OsiSolverInterface * | siP,
|  | const std::string | mpdDir |
| ) |  |  |

A function that tests the methods in the CglProbing class.

The only reason for it not to be a member method is that this way it doesn't have to be compiled into the library. And that's a gain, because the library should be compiled with optimization on, but this method should be compiled with debugging.